
/*---------------------------------------------------------
    Non-Module includes
---------------------------------------------------------*/

include ( "util.lua" )			// Misc Utilities	


/*---------------------------------------------------------
    Shared Modules
---------------------------------------------------------*/

require ( "concommand" )		// Console Commands
require ( "saverestore" )		// Save/Restore
require ( "gamemode" )			// Gamemode manager
require ( "weapons" )			// SWEP manager
require ( "hook" )				// Gamemode hooks
require ( "timer" )				// Timer manager
require ( "schedule" )			// Schedule manager
require ( "scripted_ents" )		// Scripted Entities
require ( "player_manager" )	// Player models manager
require ( "numpad" )
require ( "team" )
require ( "undo" )
require ( "cleanup" )
require ( "duplicator" )
require ( "constraint" )
require ( "construct" )	
require ( "filex" )
require ( "vehicles" )
require ( "usermessage" )
require ( "list" )

/*---------------------------------------------------------
    Serverside only modules
---------------------------------------------------------*/

if ( SERVER ) then

	require ( "server_settings" )
	require ( "ai_schedule" )
	require ( "ai_task" )

end


/*---------------------------------------------------------
    Clientside only modules
---------------------------------------------------------*/

if ( CLIENT ) then

	require ( "draw" )			// 2D Draw library
	require ( "markup" )		// Text markup library
	require ( "effects" )
	require ( "killicon" )
	require ( "spawnmenu" )

end


/*---------------------------------------------------------
    Print version information to the console
---------------------------------------------------------*/

Msg( "Lua initialized (" .. _VERSION .. ")\n" )


/*---------------------------------------------------------
    Module hooks - these are always running.
---------------------------------------------------------*/

hook.Add( "Think", "CheckTimers", timer.Check )
hook.Add( "Think", "CheckSchedules", schedule.Check )

if ( SERVER ) then

	concommand.Add( "+numpad", CC_NumpadOn )
	concommand.Add( "-numpad", CC_NumpadOff )
	
end

